run: exercise_05_10
	./exercise_05_10
	
exercise_05_10: exercise_05_10.o .gitignore
	clang++ exercise_05_10.o -o exercise_05_10
	
exercise_05_10.ii: exercise_05_10.cpp
	clang++ -E exercise_05_10.cpp -o exercise_05_10.ii
	
exercise_05_10.s: exercise_05_10.ii
	clang++ -S exercise_05_10.ii -o exercise_05_10.s
	
exercise_05_10.o: exercise_05_10.s
	clang++ -c exercise_05_10.s -o exercise_05_10.o
	
.gitignore:
	echo exercise_05_10 > .gitignore
	
clean:
	rm *.ii *.s *.o exercise_05_10 .gitignore
